# Class ImportedXmlComponent

Represents imported xml component from xml file.

#### Hierarchy

- XmlComponent
  - ImportedXmlComponent

- Defined in src/file/xml-components/imported-xml-component.ts:38

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml
push
fromXmlString

## Constructors

### constructor

- new ImportedXmlComponent(rootKey: string, _attr?: any): ImportedXmlComponent

- Converts the xml string to a XmlComponent tree.

  #### Parameters

  - ##### rootKey: string

  - ##### `Optional` _attr: any

  #### Returns ImportedXmlComponent

  Overrides XmlComponent.constructor

  - Defined in src/file/xml-components/imported-xml-component.ts:55

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:34

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:15

### push

- push(xmlComponent: string | XmlComponent): void

- #### Parameters

  - ##### xmlComponent: string | XmlComponent

  #### Returns void

  - Defined in src/file/xml-components/imported-xml-component.ts:62

### `Static` fromXmlString

- fromXmlString(importedContent: string): ImportedXmlComponent

- Converts the xml string to a XmlComponent tree.

  #### Parameters

  - ##### importedContent: string

    xml content of the imported component

  #### Returns ImportedXmlComponent

  - Defined in src/file/xml-components/imported-xml-component.ts:44

Generated using TypeDoc